DB_MULTIPLE_RECNO_WRITE_NEXT
Prev | Chapter 4. The DBT Handle | Next

## DB_MULTIPLE_RECNO_WRITE_NEXT

    #include <db.h>

    DB_MULTIPLE_RECNO_WRITE_NEXT(void *pointer, DBT *dbt,
        db_recno_t recno, void *data, size_t dlen);

Appends a record number / data pair to the bulk buffer.

### Parameters

#### pointer

The pointer parameter is a variable that must have been initialized by a call to DB_MULTIPLE_RECNO_WRITE_INIT.

This parameter is set to NULL if the data item does not fit in the buffer.

#### dbt

The dbt parameter is a DBT structure initialized with

    #include <db.h>

    DB_MULTIPLE_WRITE_INIT(void *pointer, DBT *data);

Initialize a DBT containing a bulk buffer for use with the DB_MULTIPLE or DB_MULTIPLE_KEY flags to the DB->put() or DB->del() methods.

This macro initializes an opaque pointer variable used for adding records to a bulk buffer. Use this macro for buffers that will contain either a data item per record (for use with DB_MULTIPLE), or key/data pairs, where the key is not a record number. For record number keys, use DB_MULTIPLE_RECNO_WRITE_INIT.

### Parameters

#### pointer

The pointer parameter is an opaque pointer variable to be initialized.

#### data

The data parameter is a DBT structure that has been initialized by the application with a buffer to hold multiple records. The ulen field must be set to the size of the buffer allocated by the application, and must be a multiple of 4.

### Class

DBT

### See Also

DBT and Bulk Operations

.

#### recno

The record number to be copied into the bulk buffer.

#### data

A pointer to the bytes to be copied into the bulk buffer.

#### dlen

The number of bytes to be copied.

### Class

DBT

### See Also

DBT and Bulk Operations

Prev | Up | Next
DB_MULTIPLE_RECNO_WRITE_INIT | Home | DB_MULTIPLE_RECNO_RESERVE_NEXT